#include "includes.h"
// hack.cpp

// CHack implementation file

CHack::CHack():
	szName(NULL),
	szVersion(NULL),
	Next(NULL),
	status(NULL),
	Data(NULL)
{
	//MessageBox(NULL,"CHack Called","debug",MB_OK);
}


CHack::~CHack()
{
	//MessageBox(NULL,"~CHack Called",szName,MB_OK);
	free(szName);
	free(szVersion);
	delete Data;
	delete Next; // take out the whole list
}

COffset::COffset():
	Active(NULL),
	InActive(NULL),
	size(NULL),
	offset(NULL),
	Next(NULL)
{
	//MessageBox(NULL,"COffset Called","debug",MB_OK);
}

COffset::~COffset()
{
	//MessageBox(NULL,"~COffset Called","debug",MB_OK);
	delete [] Active;
	delete [] InActive;
	delete Next; // take out all the data
}

H_STAT CHack::GetStatus(HANDLE hDiablo)
{
	int temp = H_UNKNOWN;
	COffset *tHack = Data;
	while(tHack)
	{
		temp |= tHack->GetStatus(hDiablo);
		tHack=tHack->Next;
	}
	return (H_STAT)temp;
}

H_STAT COffset::GetStatus(HANDLE hDiablo)
{
	unsigned char *tBuffer = new unsigned char[size];
	ReadProcessMemory(hDiablo,(LPCVOID) offset, tBuffer, size, NULL);
	if(!memcmp((const void*)tBuffer,(const void*)Active,size))
	{
		delete [] tBuffer;	
		return H_ACTIVE;
	}
	if(InActive)
		if(!memcmp((const void*)tBuffer,(const void*)InActive,size))
		{
			delete [] tBuffer;
			return H_INACTIVE;
		}
	
	delete [] tBuffer;
	return H_ERROR;
}
