// Structures file!



struct _ItemStruct
{
	unsigned char UniqueItemNumber[5];
	unsigned char Origin;
	short crap1;
	int EncodedType;
	char crap2[16];
	int BNetItemCode;
	char crap3[24];
	unsigned char IDFlag;
	char crap4[3];
	unsigned char ItemType;
	char UnIDName[64];
	char IDedName[64];
	unsigned char EquipType;
	unsigned char EquipClass;
	char crap5;
	unsigned int ItemGraphic;
	unsigned int UnIDPrice;
	unsigned int IDedPrice;
	unsigned int MinDamage;
	unsigned int MaxDamage;
	unsigned int ArmorClass;
	unsigned char SAF1;
	unsigned char SAF2;
	unsigned char SAF3;
	unsigned char SAF4;
	unsigned int MagicCodes;
	unsigned int SpellCodes;
	unsigned int CurStaffCharges;
	unsigned int MaxStaffCharges;
	unsigned int CurDurability;
	unsigned int MaxDurability;
	unsigned int DamageBonus;
	unsigned int ToHitBonus;
	unsigned int ArmorBonus;
	unsigned int StrBonus;
	unsigned int MagBonus;
	unsigned int DexBonus;
	unsigned int VitBonus;
	unsigned int FireResist;
	unsigned int LightningResist;
	unsigned int MagicResist;
	unsigned int ManaBonus; //64
	unsigned int HealthBonus; //64
	unsigned int DamageBonus2; //(gore/slaying)
	int ModifyEnemyAttack;
	unsigned int LightRadius; // *10%
	int ModifySpellLevel;
	int crap6;
	unsigned int MinFireDamage;
	unsigned int MaxFireDamage;
	unsigned int MinLightningDamage;
	unsigned int MaxLightningDamage;
	int crap7;
	char Prefix;
	char Suffix;
	char crap8[18];
	unsigned char StrReq;
	unsigned char MaxReq;
	unsigned char DexReq;
	char crap9[5];
	unsigned int EquipNameType;
	int crap10;
};

struct _CharStruct
{
	short Crap1;
	// spell levels
	unsigned char SpellLevels[40];
	char Crap2[30];
	unsigned int SpellsFlags1;
	unsigned int SpellsFlags2;

	unsigned int SkillsFlags1;
	unsigned int SkillsFlags2;
	
	unsigned int ScrollsFlags1;
	unsigned int ScrollsFlags2;
	unsigned int Crap3;
	unsigned int HotKey1;
	unsigned int HotKey2;
	unsigned int HotKey3;
	unsigned int HotKey4;
	char Crap5[12];
	char CharName[32];
	int CharClass;
	int StrNow;
	int StrBase;
	int MagNow;
	int MagBase;
	int DexNow;
	int DexBase;
	int VitNow;
	int VitBase;
	int PointsToDistrib;
   int Crap4[2];
	unsigned int CurHealthBase;
	unsigned int MaxHealthBase;
	unsigned int CurHealthNow;
	unsigned int MaxHealthNow;
	unsigned int Crap7;
	unsigned int CurManaBase;
	unsigned int MaxManaBase;
	unsigned int CurManaNow;
	unsigned int MaxManaNow;
	int Crap8;
	char Level;
	char Crap9[3];
	int ExpPoints;
	int Crap10;
	int ExpForNextLevel;
	char Crap11[436];
	//char Temp[17296];
	_ItemStruct EquItems[7];
	_ItemStruct InvItems[40];
	unsigned int NumbOfItems;
	char ItemPos[40];
	char Crap12[3004];
};


struct _ItemType
{
   char Desc[20];
   unsigned char Placement;
   unsigned char Class;
   unsigned char Type;
};

