// lots of Diablo specific Data

#define NUM_OF_GRAPHS	168

char GraphicNames[NUM_OF_GRAPHS][32] = {
"00 Potion of Full Mana",
"01 White Scroll",
"02 Brown Scroll",
"03 Blue Scroll",
"04 Small Gold Pile",
"05 Medium Gold Pile",
"06 Large Gold Pile",
"07 Thick Ring",
"08 Ruby Ring",
"09 Thorny Ring",
"0A Sapphire Ring",
"0B Skull Ring",
"0C Metal Ring",
"0D Ebony Gold Ring",
"0E Orange Gem Gold Ring",
"0F Spectral Elixir",
"10 Large Rainbow Vial",
"11 Ruby Vial",
"12 Steel Blue Diamond Ring",
"13 Right Ear Steel Earring",
"14 Right Ear",
"15 Left Ear Gold Earring",
"16 Hellraiser Orb",
"17 Hellraiser Box",
"18 Hellraiser Pyramid",
"19 Large Ruby",
"1A Red Golbe",
"1B Blue Sapphire Cube",
"1C Orange Pyramid",
"1D Thin Black Vial",
"1E Large Black Vial",
"1F Elixir of Vitality",
"20 Potion of Healing",
"21 Potion of Full Rejuvanation",
"22 Elixir of Magic",
"23 Potion of Full Healing",
"24 Elixir of Dexterity",
"25 Potion of Rejuvenation",
"26 Elixir of Strength",
"27 Potion of Mana",
"28 Brain",
"29 Claw",
"2A Tooth",
"2B Brush",
"2C Blue Ivory Amulet",
"2D Standard Amulet",
"2E Black Eye Amulet",
"2F Bug Brooch",
"30 Ankh",
"31 Pouch",
"32 Bastard Dagger",
"33 Red Handle Dagger",
"34 A Bottle o' Brew",
"35 Jagged Dagger",
"36 Black Handle Dagger",
"37 Snap Blade",
"38 Long Sword",
"39 Great Sword (Bastard Sword)",
"3A Jagged Sword",
"3B Mace",
"3C Red Handle Sword",
"3D Emperor's Great Sword",
"3E Curved Blade",
"3F Morning Star",
"40 Short Sword",
"41 Claymore",
"42 Wooden Club",
"43 Sabre",
"44 Legion Sword",
"45 Bone Club ",
"46 Spiked Club",
"47 A Board With A Nail ",
"48 Pirate Sword",
"49 Blood Angel Sword",
"4A Pain Sword",
"4B Helm",
"4C Rock",
"4D Spiked Crown",
"4E Thanatos' Crown",
"4F Leorics Crown",
"50 Jester Cap",
"51 Jeweled Helm",
"52 Goggled Helm",
"53 Buckler",
"54 Horned Helm",
"55 Great War Helm",
"56 Black Book",
"57 Red Book",
"58 Blue Book",
"59 Black Mushroom",
"5A Skull Cap",
"5B Cap",
"5C Torn Flesh",
"5D Cushioned Skull Cap",
"5E Red Tunic",
"5F Crown",
"60 Map/Diagram",
"61 Tome of Knowledge",
"62 Roman Legion Helm",
"63 Samurai Helm",
"64 Great Shield of Lightning",
"65 Double Bladed Axe",
"66 Bow",
"67 Field Plate/Plate Mail",
"68 Hack Axe",
"69 Round Shield",
"6A Butcher's Cleaver",
"6B Studded Black Leather Armor",
"6C Bone Bow",
"6D Red Striped Staff",
"6E Blood War Sword",
"6F Chain Mail Dress",
"70 Throwing Axe",
"71 Kite Shield",
"72 Chain Mail",
"73 Thick Shield",
"74 Grinning Death Shield",
"75 Devil's Shield",
"76 Hunter's Bow",
"77 Ugly One-Horned Mule Bow",
"78 Fish Bow",
"79 Hammer",
"7A Steel Hammer (Maul)",
"7B Ruby Staff (Long Staff)",
"7C Hooked Spear",
"7D Shaman's Staff",
"7E Tavern Sign",
"7F Leather Roman Legion Armor",
"80 Rags",
"81 Pajama Armor",
"82 Three Ball Chain Whip",
"83 Morning Star",
"84 Tower Shield",
"85 Warrior's Bow",
"86 Katana",
"87 Cloth Tunic",
"88 Samurai Armor",
"89 White Robes",
"8A Dark Mage Robes",
"8B Leather Shirt",
"8C Anvil",
"8D Dark Axe",
"8E Halberd",
"8F Death Axe",
"90 Hatchet",
"91 Ancient Cleaver",
"92 Lion Shield",
"93 Eagle Shield",
"94 Black Lion Shield",
"95 Magic Robes",
"96 Lava Robes (Cape)",
"97 Knight's Armor",
"98 Gothic Plate",
"99 BreastPlate",
"9A Studded Robes",
"9B Skull Staff",
"9C Embeded Ruby Axe",
"9D Padded Plate",
"9E Crossbow",
"9F Horned Dragon Plate Armor",
"A0 Runed Cleaver",
"A1 Ivory Katana",
"A2 Spiked Baseball Bat",
"A3 Dwarves Double-Bladed Axe",
"A4 Bow of the Wind",
"A5 Composite Bow",
"A6 Reaper Spear",
"A7 Stone Bow"};

_ItemType ItemTypes[17] = 
{
	{"Gold",7,4,0x0B},
	{"1h Sword",1,1,1},
	{"2h Sword",2,1,1},
	{"Axe",2,1,2},
	{"Mace,Flail,Club",1,1,4},
	{"Hammer",2,1,4},
	{"Bow",2,1,3},
	{"Staff",2,1,0x0A},
	{"Shield",1,2,5},
	{"Helmet",4,2,7},
	{"Leather Armor",3,2,6},
	{"Mail Armor",3,2,8},
	{"Plate Armor",3,2,9},
	{"Ring",5,3,0x0C},
	{"Amulet",6,3,0x0D},
	{"Book,Potion",7,3,0},
	{"ERR: Invalid Type",0,0}
};

typedef struct uicbingtag
{
   int control;
   unsigned char data;
} uicbind;

uicbind SAFS[26] = 
{
	{IDC_SAF1_INFRAVISION,	0x01},	//  0*
	{IDC_SAF1_RLS,			0x02},	//  1
	{IDC_SAF1_RSA,			0x04},	//  2
	{IDC_SAF1_BURNING,		0x08},	//  3
	{IDC_SAF1_EFD,			0x10},	//  4
	{IDC_SAF1_ELD,			0x20},	//  5
	{IDC_SAF1_CHP,			0x40},	//  6

	{IDC_SAF2_KTB,			0x08},	//  7
	{IDC_SAF2_S3M,			0x20},	//  8
	{IDC_SAF2_S5M,			0x40},	//  9
	{IDC_SAF2_S3L,			0x80},	// 10

	{IDC_SAF3_S5L,			0x01},	// 11
	{IDC_SAF4_AHD,			0x10},	// 12
  
	{IDC_SAF3_QUICKATTACK,	0x02},	// 13*
	{IDC_SAF3_FASTATTACK,	0x04},	// 14
	{IDC_SAF3_FASTERATTACK,	0x08},	// 15
	{IDC_SAF3_FASTESTATTACK,0x10},	// 16
	{IDC_SAF3_FASTHR,		0x20},	// 17
	{IDC_SAF3_FASTERHR,		0x40},	// 18
	{IDC_SAF3_FASTESTHR,	0x80},	// 19

	{IDC_SAF4_FB,			0x01},	// 20
	{IDC_SAF4_16LD,			0x02},	// 21
	{IDC_SAF4_DAE,			0x04},	// 22
	{IDC_SAF4_CM0,			0x08},	// 23
	{IDC_SAF4_200DD,		0x20},	// 24
	{IDC_SAF4_CR,			0x40}	// 25
};
